## ruby-http 0.6.1

=== debian/changelog ===
ruby-http (0.6.1-1) unstable; urgency=low

  * Team upload
  * New upstream version 
  * Added removing_simplecov_html.patch to fix failing tests

 -- Nitesh A Jain <niteshjain92@gmail.com>  Fri, 30 May 2014 23:21:11 +0530

ruby-http (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #743475)

 -- Pirate Praveen <praveen@debian.org>  Wed, 02 Apr 2014 20:44:16 +0530
