## ruby-http 1.0.2

=== debian/changelog ===
ruby-http (1.0.2-2ubuntu2) xenial; urgency=medium

  * Disable the tests accessing the network.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2016 15:53:10 +0100

ruby-http (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild to send package to unstable.

 -- Sebastien Badia <seb@sebian.fr>  Thu, 03 Mar 2016 17:24:57 -0300

ruby-http (1.0.2-1) experimental; urgency=medium

  * Team upload

  [ Jonas Genannt ]
  * bumped up compat version to 9

  [ Sebastien Badia ]
  * docs: Add readme file as package documentation
  * refreshed patch: removing_simplecov_html
  * examples: Ship examples files
  * d/control:
      Add new dependencies
      Switch from gitweb to cgit for vcs-browser URL
      Update Vcs-* fields (switch to https)
      Bump Standards-Version to 3.9.7 (no changes)
      Add new BD packages (rspec-its and certificate-authority)
  * Imported Upstream version 1.0.2 (Closes: #795752)
  * Update homepage URL (according new release)
  * Update Debian packaging using dh-make-ruby

 -- Sebastien Badia <seb@sebian.fr>  Wed, 02 Mar 2016 15:16:35 -0300

ruby-http (0.6.2-1) experimental; urgency=low

  * Team upload
  * New upstream version
  * Updated and refreshed removing_simplecov_html.patch
  * Bump gem2deb dependency to 0.10
  * Updated d/ruby-test.rake to run tests
  * Bump standards to 3.9.6 (no change)
  * Updated copyright as lib/http/uri_backport.rb was removed by upstream

 -- Nitesh A Jain <niteshjain92@gmail.com>  Sat, 25 Oct 2014 01:25:33 +0530
