=== debian/control ===
Source: ruby-http
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               ruby-addressable,
               ruby-coveralls,
               ruby-http-cookie,
               ruby-http-form-data (>= 1.0.1+gemwatch~),
               ruby-http-parser.rb,
               ruby-certificate-authority,
               ruby-rspec,
               ruby-rspec-its
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-http.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-http.git
Homepage: https://github.com/httprb/http.rb
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-http
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-addressable,
         ruby-http-cookie,
         ruby-http-form-data,
         ruby-http-parser.rb,
         ${misc:Depends},
         ${shlibs:Depends}
Description: easy-to-use client library for making http requests from Ruby
 It uses a simple method chaining system for building requests, similar
 to Python's Requests
 .
 Under the hood, The HTTP Gem uses http_parser.rb, a fast HTTP parsing
 native extension based on the Node.js parser and a Java port thereof.
