## ruby-http 2.2.2

=== debian/changelog ===
ruby-http (2.2.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Ignore test failures

 -- Pirate Praveen <praveen@debian.org>  Sat, 28 Apr 2018 10:53:08 +0530

ruby-http (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Thu, 27 Jul 2017 15:51:18 +0530

ruby-http (1.0.2-4) unstable; urgency=medium

  * Team upload.

  [ Micah Anderson ]
  * Add missing x509v3 extenions to certs generated for tests
    (Closes: #848757)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 23 Jan 2017 00:52:40 +0000

ruby-http (1.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Run wrap-and-sort on packaging files
  * Standards-Version set to 3.9.8 (no changes needed)

  [ Christian Hofstaedtler ]
  * Disable tests using network (Closes: #818460)
    Thanks to Matthias Klose <doko@debian.org> for the initial patch.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 06 Jun 2016 17:57:37 +0200
