=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: debhelper (>= 9~),
                gem2deb,
                ruby-addressable,
+               ruby-certificate-authority,
                ruby-coveralls,
                ruby-http-cookie,
                ruby-http-form-data (>= 1.0.1+gemwatch~),
                ruby-http-parser.rb,
-               ruby-certificate-authority,
                ruby-rspec,
-               ruby-rspec-its
-Standards-Version: 3.9.7
+               ruby-rspec-its,
+               ruby-simplecov
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-http.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-http.git
 Homepage: https://github.com/httprb/http.rb
