## ruby-http 3.3.0

=== debian/changelog ===
ruby-http (3.3.0-2) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Team upload
  * Reupload to unstable
  * Bump Standards-Version to 4.3.0 (no changes needed)

  [ Pirate Praveen ]
  * Add breaks for ruby-twitter and ruby-kubeclient looking for ruby-http 2.x

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Thu, 07 Feb 2019 15:28:50 +0530

ruby-http (3.3.0-1) experimental; urgency=medium

  [ Manas kashyap ]
  * New upstream release 3.3.0
  * Watch file updated to use gemwatch.debian.net
  * Minimum ruby-http-form-data version updated

  [ Pirate Praveen ]
  * Refresh packaging with dh-make-ruby -w
  * Add Rules-Requires-Root: no and update homepage
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Refresh patches
  * Disable tests using SSL (Started failing with openssl 1.1)
  * Remove debian/ruby-http.examples (Examples are no longer present)

 -- Pirate Praveen <praveen@debian.org>  Sat, 22 Dec 2018 22:12:34 +0530
