=== debian/control ===
Source: ruby-http
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-addressable,
               ruby-certificate-authority,
               ruby-coveralls,
               ruby-http-cookie,
               ruby-http-form-data (>= 2.0~),
               ruby-http-parser.rb,
               ruby-rspec,
               ruby-rspec-its,
               ruby-simplecov
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-http.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-http
Homepage: https://github.com/httprb/http
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-http
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-addressable,
         ruby-http-cookie,
         ruby-http-form-data (>= 2.0~),
         ruby-http-parser.rb,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ruby-twitter (<< 6.2~), ruby-kubeclient (<< 4.0~)
Description: easy-to-use client library for making http requests from Ruby
 It uses a simple method chaining system for building requests, similar
 to Python's Requests
 .
 Under the hood, The HTTP Gem uses http_parser.rb, a fast HTTP parsing
 native extension based on the Node.js parser and a Java port thereof.
