=== debian/watch ===
version=3
https://gemwatch.debian.net/http .*/http-(.*).tar.gz
