## ruby-http 4.4.1

=== debian/changelog ===
ruby-http (4.4.1-6) unstable; urgency=medium

  * Team upload.
  * Add 0006-Fix-spec-for-ruby3_3.patch to support ruby3.3
  * d/control
   + Remove XS-Ruby-Versions
   + Bump standards-version to 4.6.2
  * Update copyright year.
  * Add Applied-Upstreams tag to add-missing-x509v3-extensions
    patch.

 -- Abhijith PA <abhijith@debian.org>  Sat, 20 Jul 2024 17:28:32 +0530

ruby-http (4.4.1-5) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package
  * Build-depend on ruby-webrick (Closes: #996292)
  * Bump standards-version to 4.6.0 (no changes needed)
  * Bump debhelper-compat to 13
  * Add 0005-Fix-passing-a-hash-as-argument-for-Ruby3.patch to fix deprecated
    syntax in spec with ruby3.0

 -- Cédric Boutillier <boutil@debian.org>  Wed, 17 Nov 2021 01:37:24 +0100

ruby-http (4.4.1-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Lucas Kanashiro ]
  * Add patch to skip flaky test failure

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 01 Jul 2020 15:22:19 -0300

ruby-http (4.4.1-3) unstable; urgency=medium

  * Replace pending with xcontext and re-enable the previously
    disabled test in 4.4.1-2 upload

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 05:05:38 +0530

ruby-http (4.4.1-2) unstable; urgency=medium

  * Add another test to the existing patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 04:42:13 +0530

ruby-http (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
    - Fixes test failures (Closes: #890075)
  * Replace ruby-http-parser.rb with ruby-http-parser
  * Tighten dependency on ruby-http-form-data
  * Remove unnecessary Breaks
  * Refresh d/patches
    - Don't access internet during build (Closes: #858140)
  * Re-enable tests
  * Fix package wrt cme
  * Drop runtime dependency on ruby interpreter
  * Add myself as an uploader
  * Add salsa-ci.yml
  * Add Breaks for ruby-twitter

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 02:54:16 +0530
